Update Deposit Summary: Yardi REST
Betahttps://api.propexo.com/v1/deposit-summaries/yardi_rest/:deposit_summary_idUpdate Deposit Summary: Yardi REST. This endpoint will initiate a deposit summary as paid if the total amount of the invoice is passed in. Partial payments will be accepted, but the invoice will not be marked as paid until the full amount is paid. If the deposit summary has already been paid, Yardi will throw an error.
| Interface | Method |
|---|---|
| Resident Transactions | /ItfResidentTransactions/ImportChecks |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the deposit summary
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The total amount in cents paid out to the resident for the deposit refund. Note: Partial payments will be accepted, but the invoice will not be marked as paid until the full amount is paid.
Possible values: > 0
The external ID of the bank from the integration vendor. You'll likely want to work with your customer to find the appropriate value here.
Possible values: non-empty
The payment method used for the refund payout. Note: To use EFT, the associated bank account must be configured for electronic payments.
Show 2 enum values
CHECKEFTThe check number. Note: Must be unique per pay out.
Possible values: non-empty
The notes for the check.
Possible values: non-empty
The post month of the check.
Show 2 variants
The date the check was run.
Show 2 variants
The Propexo unique identifier for the financial account
The date the check was cleared.
Show 2 variants
Whether the check is not reconciled
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the deposit summary
The total amount in cents paid out to the resident for the deposit refund. Note: Partial payments will be accepted, but the invoice will not be marked as paid until the full amount is paid.
Possible values: > 0
The external ID of the bank from the integration vendor. You'll likely want to work with your customer to find the appropriate value here.
Possible values: non-empty
The payment method used for the refund payout. Note: To use EFT, the associated bank account must be configured for electronic payments.
Show 2 enum values
CHECKEFTThe check number. Note: Must be unique per pay out.
Possible values: non-empty
The notes for the check.
Possible values: non-empty
The post month of the check.
Show 2 variants
The date the check was run.
Show 2 variants
The Propexo unique identifier for the financial account
The date the check was cleared.
Show 2 variants
Whether the check is not reconciled
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/deposit-summaries/yardi_rest/:deposit_summary_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"total_amount_in_cents": 0,
"x_bank_id": "string",
"payment_method": "CHECK",
"check_number": "string",
"notes": "string",
"post_month": "2024-07-29T15:51:28.071Z",
"check_run_date": "2024-07-29T15:51:28.071Z"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"deposit_summary_id": "string",
"total_amount_in_cents": 0,
"x_bank_id": "string",
"payment_method": "CHECK",
"check_number": "string",
"notes": "string",
"post_month": "2024-07-29T15:51:28.071Z",
"check_run_date": "2024-07-29T15:51:28.071Z",
"financial_account_id": "string",
"check_cleared_date": "2024-07-29T15:51:28.071Z",
"is_not_reconciled": true
}
}